TraceFormatterFrameDecoder Class Reference
OpenCSD Library : Trace Frame Deformatter

`#include <trc_frame_deformatter.h>`

Inheritance diagram for TraceFormatterFrameDecoder:
[legend]
Collaboration diagram for TraceFormatterFrameDecoder:
[legend]

## Public Member Functions

| TraceFormatterFrameDecoder ()
| TraceFormatterFrameDecoder (int instNum)
virtual | ~TraceFormatterFrameDecoder ()
virtual ocsd_datapath_resp_t | TraceDataIn (const ocsd_datapath_op_t op, const ocsd_trc_index_t index, const uint32_t dataBlockSize, const uint8_t *pDataBlock, uint32_t *numBytesProcessed)
componentAttachPt< ITrcDataIn > * | getIDStreamAttachPt (uint8_t ID)
componentAttachPt< ITrcRawFrameIn > * | getTrcRawFrameAttachPt ()
componentAttachPt< ITrcSrcIndexCreator > * | getTrcSrcIndexAttachPt ()
componentAttachPt< ITraceErrorLog > * | getErrLogAttachPt ()
ocsd_err_t | Configure (uint32_t cfg_flags)
const uint32_t | getConfigFlags () const
ocsd_err_t | OutputFilterIDs (std::vector< uint8_t > &id_list, bool bEnable)
ocsd_err_t | OutputFilterAllIDs (bool bEnable)
ocsd_datapath_resp_t | Reset ()
ocsd_datapath_resp_t | Flush ()
void | SetDemuxStatsBlock (ocsd_demux_stats_t *pStatsBlock)
Public Member Functions inherited from ITrcDataIn
| ITrcDataIn ()
virtual | ~ITrcDataIn ()

## Detailed Description

Definition at line 52 of file trc_frame_deformatter.h.

## Constructor & Destructor Documentation

## TraceFormatterFrameDecoder() [1/2]

TraceFormatterFrameDecoder::TraceFormatterFrameDecoder | ( |  | ) |

## TraceFormatterFrameDecoder() [2/2]

TraceFormatterFrameDecoder::TraceFormatterFrameDecoder | ( | int | instNum | ) |

## ~TraceFormatterFrameDecoder()

virtual TraceFormatterFrameDecoder::~TraceFormatterFrameDecoder | ( |  | ) |

virtual

## Member Function Documentation

## Configure()

ocsd_err_t TraceFormatterFrameDecoder::Configure | ( | uint32_t | cfg_flags | ) |

## Flush()

ocsd_datapath_resp_t TraceFormatterFrameDecoder::Flush | ( |  | ) |

## getConfigFlags()

const uint32_t TraceFormatterFrameDecoder::getConfigFlags | ( |  | ) | const

## getErrLogAttachPt()

componentAttachPt<ITraceErrorLog>* TraceFormatterFrameDecoder::getErrLogAttachPt | ( |  | ) |

## getIDStreamAttachPt()

componentAttachPt<ITrcDataIn>* TraceFormatterFrameDecoder::getIDStreamAttachPt | ( | uint8_t | ID | ) |

## getTrcRawFrameAttachPt()

componentAttachPt<ITrcRawFrameIn>* TraceFormatterFrameDecoder::getTrcRawFrameAttachPt | ( |  | ) |

## getTrcSrcIndexAttachPt()

componentAttachPt<ITrcSrcIndexCreator>* TraceFormatterFrameDecoder::getTrcSrcIndexAttachPt | ( |  | ) |

## OutputFilterAllIDs()

ocsd_err_t TraceFormatterFrameDecoder::OutputFilterAllIDs | ( | bool | bEnable | ) |

## OutputFilterIDs()

ocsd_err_t TraceFormatterFrameDecoder::OutputFilterIDs | ( | std::vector< uint8_t > & | id_list,
|  | bool | bEnable
| ) |  |

## Reset()

ocsd_datapath_resp_t TraceFormatterFrameDecoder::Reset | ( |  | ) |

## SetDemuxStatsBlock()

void TraceFormatterFrameDecoder::SetDemuxStatsBlock | ( | ocsd_demux_stats_t * | pStatsBlock | ) |

## TraceDataIn()

virtual ocsd_datapath_resp_t TraceFormatterFrameDecoder::TraceDataIn | ( | const ocsd_datapath_op_t | op,
|  | const ocsd_trc_index_t | index,
|  | const uint32_t | dataBlockSize,
|  | const uint8_t * | pDataBlock,
|  | uint32_t * | numBytesProcessed
| ) |  |

virtual

Default destructor.

Data input method for a component on the Trace decode datapath. Datapath operations passed to the component, which responds with data path response codes.

This API is for raw trace data, which can be:-

- CoreSight formatted frame data for input to the frame deformatter.
- Single binary source data for input to a packet decoder.

Parameters

  op | : Data path operation.
  index | : Byte index of start of pDataBlock data as offset from start of captured data. May be zero for none-data operation
  dataBlockSize | : Size of data block. Zero for none-data operation.
  *pDataBlock | : pointer to data block. Null for none-data operation
  *numBytesProcessed | : Pointer to count of data used by processor. Set by processor on data operation. Null for none-data operation

Returns
  ocsd_datapath_resp_t : Standard data path response code.

Implements ITrcDataIn.

The documentation for this class was generated from the following file:

- /build/libopencsd-nipXOR/libopencsd-1.2.0/decoder/include/common/trc_frame_deformatter.h